package com.example.aped.communication;

public interface IIO
{
    /**
     * reads a value from a device connected to the raspberry
     * @param deviceName the name of the device to read from
     * @return the value read
     */
    String read(String deviceName);

    /**
     * writes a value to a device connected to the raspberry
     * @param deviceName the name of the device to write to
     * @param value the value to write to the device
     * @return the value written
     */
    String write(String deviceName, String value);
}
